Bug 53335 - Update audio/extrace: 1.7.8 -> 1.8.06
Summary: Update audio/extrace: 1.7.8 -> 1.8.06
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kirill Ponomarev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-06-15 08:50 UTC by Kirill Ponomarew
Modified: 2003-07-22 12:23 UTC (History)
0 users

See Also:


Attachments
file.diff (1.12 KB, patch)
2003-06-15 08:50 UTC, Kirill Ponomarew
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kirill Ponomarew 2003-06-15 08:50:20 UTC
Update audio/extrace: 1.7.8 -> 1.8.06

Bug fixes
Comment 1 tkato 2003-06-15 09:12:07 UTC
Well, post-patch regex isn't necessary any more since
those are taken care with gnomehack nowadays.

Update patch should be as follows:


diff -urN /usr/ports/audio/extace/Makefile audio/extace/Makefile
--- /usr/ports/audio/extace/Makefile	Thu Jun  5 07:29:43 2003
+++ audio/extace/Makefile	Sun Jun 15 15:04:08 2003
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	extace
-PORTVERSION=	1.7.8
+PORTVERSION=	1.8.06
 CATEGORIES=	audio
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -17,16 +17,11 @@
 LIB_DEPENDS=	fftw.2:${PORTSDIR}/math/fftw
 
 USE_X_PREFIX=	yes
-USE_GNOME=	gnomehack gnomeprefix gtk12 imlib esound
-USE_REINPLACE=	yes
+USE_GNOME=	esound imlib gnomehack gnomehier
 USE_LIBTOOL=	yes
 CONFIGURE_ARGS+=	--disable-alsa
-CONFIGURE_ENV+=	CPPFLAGS="-I${LOCALBASE}/include -DHAVE_LIBFFTW" \
+CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include -DHAVE_LIBFFTW" \
 		LDFLAGS="-L${LOCALBASE}/lib"
-
-post-patch:
-	@${REINPLACE_CMD} -e "s|-lpthread|${PTHREAD_LIBS}|g"  \
-		-e "s|DATADIRNAME=lib|DATADIRNAME=share|g"  ${WRKSRC}/configure
 
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/src/extace ${PREFIX}/bin
diff -urN /usr/ports/audio/extace/distinfo audio/extace/distinfo
--- /usr/ports/audio/extace/distinfo	Thu Jun  5 07:29:43 2003
+++ audio/extace/distinfo	Sun Jun 15 14:44:08 2003
@@ -1 +1 @@
-MD5 (extace-1.7.8.tar.gz) = 3a8023e5028d679352c755c3084bb867
+MD5 (extace-1.8.06.tar.gz) = dc9e0982b2758fdc1a5eb9fa16d9f2fc
Comment 2 Tilman Keskinoz freebsd_committer 2003-07-21 00:11:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->krion

submitter is now a committer
Comment 3 Kirill Ponomarev freebsd_committer 2003-07-22 12:22:52 UTC
State Changed
From-To: open->closed

Committed